# Uses of Enum
org.eclipse.birt.chart.model.attribute.SortOption

Packages that use SortOption
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of SortOption in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type SortOption
Modifier and Type
Field
Description
`static final List<SortOption>`
SortOption.`VALUES`
A public read-only list of all the 'Sort Option' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return SortOption
Modifier and Type
Method
Description
`static SortOption`
SortOption.`get(int value)`
Returns the 'Sort Option' literal with the specified integer value.
`static SortOption`
SortOption.`get(String literal)`
Returns the 'Sort Option' literal with the specified literal value.
`static SortOption`
SortOption.`getByName(String name)`
Returns the 'Sort Option' literal with the specified name.
`static SortOption`
SortOption.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SortOption[]`
SortOption.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of SortOption in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return SortOption
Modifier and Type
Method
Description
`SortOption`
AttributeFactoryImpl.`createSortOptionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`SortOption`
AttributeFactoryImpl.`createSortOptionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of SortOption in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return SortOption
Modifier and Type
Method
Description
`SortOption`
SeriesDefinition.`getSorting()`
Returns the value of the 'Sorting' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type SortOption
Modifier and Type
Method
Description
`void`
SeriesDefinition.`setSorting(SortOption value)`
Sets the value of the '`Sorting`' attribute.

## Uses of SortOption in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return SortOption
Modifier and Type
Method
Description
`SortOption`
SeriesDefinitionImpl.`getSorting()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type SortOption
Modifier and Type
Method
Description
`void`
SeriesDefinitionImpl.`setSorting(SortOption newSorting)`